Subject: bug#37312: test failure in sed-4.7

From: Assaf Gordon <[email-masked]>
Date: Thu, 5 Sep 2019 13:39:32 -0600

close 37312
stop

Hello,

On 2019-09-05 8:54 a.m., Eric Blake wrote:
> On 9/5/19 6:01 AM, Oppe, Thomas C ERDC-RDE-ITL-MS Contractor via wrote:
>> I saw a test failure in the "make check" phase of building sed-4.7.  The
>> error was:
>>
>> ../build-aux/test-driver: line 107: 405457 Aborted                 (core
>> dumped) "$@" > $log_file 2>&1
>> FAIL: test-symlink
>>
>> I was building using gcc 6.3.0.

First,
Thank you for taking the time to report the problem.

Technically,
This is not a bug in "sed", but in a common library we use called 
"gnulib". It could still be a bug, or perhaps a problem specific to your 
environment - but it isn't directly related to sed.

> Insufficient details - you didn't tell us what your operating system
> was.  It may be a bug in your libc, or a weakness in the gnulib test
> that is trying to determine if your libc is POSIX-compliant.

As Eric wrote,
We need few more details.

1.
Is this reproducible?
After running "make check", there should be an executable file called 
"gnulib-tests/test-symlink".
If you run it directly, do you still get an error?

If you don't get an error when running it directly,
do you still see an error when running "make check" ?

2.
What is the operating system, and the file system you are using?
The output of the following commands would help to diagnose the issue:

     uname -a
     lsb_release -a
     stat -f .
     df -h --output .

>> Is the test failure serious?
> 
> But in the meantime, how often do you really expect sed to be creating
> symlinks?  This is probably safe to ignore in the context of using your
> just-built sed.

sed deals with symlinks directly only when the
     "--in-place --follow-symlinks"
options are used together.
sed also includes a specific "follow-symlink" test and it didn't fail on 
your system.

In practice, like Eric wrote, this failure should not affect you under
typical sed usage.

As such, I'm closing this bug report, but discussion can continue by
replying to this thread. If this ends up being a problem in gnulib,
we can forward it to [email-masked] .

regards,
  - assaf